Index: uspace/srv/net/net/net_standalone.c
===================================================================
--- uspace/srv/net/net/net_standalone.c	(revision a6e54c5db4014406256cc9e1682c3c4771222aef)
+++ uspace/srv/net/net/net_standalone.c	(revision 04cb68f2d06da3440e206ec4339c4d23afa3910a)
@@ -38,10 +38,10 @@
 
 #include <ipc/ipc.h>
+#include <ipc/net.h>
 
-#include <net_messages.h>
 #include <ip_interface.h>
 #include <adt/measured_strings.h>
 #include <adt/module_map.h>
-#include <packet/packet_server.h>
+#include <packet_server.h>
 
 #include "net.h"
@@ -94,6 +94,5 @@
  * @return EOK on success.
  * @return ENOTSUP if the message is not known.
- * @return Other error codes as defined for each bundled module
- *         message function.
+ * @return Other error codes.
  *
  */
Index: uspace/srv/net/netif/lo/Makefile
===================================================================
--- uspace/srv/net/netif/lo/Makefile	(revision a6e54c5db4014406256cc9e1682c3c4771222aef)
+++ uspace/srv/net/netif/lo/Makefile	(revision 04cb68f2d06da3440e206ec4339c4d23afa3910a)
@@ -30,6 +30,6 @@
 USPACE_PREFIX = ../../../..
 ROOT_PATH = $(USPACE_PREFIX)/..
-LIBS = $(LIBNET_PREFIX)/libnet.a $(LIBSOCKET_PREFIX)/libsocket.a
-EXTRA_CFLAGS = -I$(LIBNET_PREFIX)/include -I$(LIBSOCKET_PREFIX)/include
+LIBS = $(LIBNET_PREFIX)/libnet.a
+EXTRA_CFLAGS = -I$(LIBNET_PREFIX)/include
 
 COMMON_MAKEFILE = $(ROOT_PATH)/Makefile.common
Index: uspace/srv/net/netif/lo/lo.c
===================================================================
--- uspace/srv/net/netif/lo/lo.c	(revision a6e54c5db4014406256cc9e1682c3c4771222aef)
+++ uspace/srv/net/netif/lo/lo.c	(revision 04cb68f2d06da3440e206ec4339c4d23afa3910a)
@@ -37,4 +37,5 @@
 #include <async.h>
 #include <errno.h>
+#include <err.h>
 #include <stdio.h>
 #include <str.h>
@@ -42,13 +43,11 @@
 #include <ipc/ipc.h>
 #include <ipc/services.h>
-
-#include <net_err.h>
-#include <net_messages.h>
-#include <net_modules.h>
+#include <ipc/nil.h>
+
+#include <net/modules.h>
 #include <adt/measured_strings.h>
-#include <packet/packet_client.h>
-#include <net_device.h>
+#include <packet_client.h>
+#include <net/device.h>
 #include <nil_interface.h>
-#include <nil_messages.h>
 #include <netif_interface.h>
 #include <netif_local.h>
Index: uspace/srv/net/netstart/Makefile
===================================================================
--- uspace/srv/net/netstart/Makefile	(revision a6e54c5db4014406256cc9e1682c3c4771222aef)
+++ uspace/srv/net/netstart/Makefile	(revision 04cb68f2d06da3440e206ec4339c4d23afa3910a)
@@ -29,6 +29,6 @@
 
 USPACE_PREFIX = ../../..
-LIBS = $(LIBNET_PREFIX)/libnet.a $(LIBSOCKET_PREFIX)/libsocket.a
-EXTRA_CFLAGS = -I$(LIBNET_PREFIX)/include -I$(LIBSOCKET_PREFIX)/include
+LIBS = $(LIBNET_PREFIX)/libnet.a
+EXTRA_CFLAGS = -I$(LIBNET_PREFIX)/include
 
 BINARY = netstart
Index: uspace/srv/net/netstart/netstart.c
===================================================================
--- uspace/srv/net/netstart/netstart.c	(revision a6e54c5db4014406256cc9e1682c3c4771222aef)
+++ uspace/srv/net/netstart/netstart.c	(revision 04cb68f2d06da3440e206ec4339c4d23afa3910a)
@@ -45,10 +45,10 @@
 #include <task.h>
 #include <str_error.h>
+#include <err.h>
 #include <ipc/ipc.h>
 #include <ipc/services.h>
+#include <ipc/net_net.h>
 
-#include <net_err.h>
-#include <net_modules.h>
-#include <net_net_messages.h>
+#include <net/modules.h>
 
 #include "self_test.h"
Index: uspace/srv/net/nil/eth/Makefile
===================================================================
--- uspace/srv/net/nil/eth/Makefile	(revision a6e54c5db4014406256cc9e1682c3c4771222aef)
+++ uspace/srv/net/nil/eth/Makefile	(revision 04cb68f2d06da3440e206ec4339c4d23afa3910a)
@@ -30,6 +30,6 @@
 USPACE_PREFIX = ../../../..
 ROOT_PATH = $(USPACE_PREFIX)/..
-LIBS = $(LIBNET_PREFIX)/libnet.a $(LIBSOCKET_PREFIX)/libsocket.a
-EXTRA_CFLAGS = -I$(LIBNET_PREFIX)/include -I$(LIBSOCKET_PREFIX)/include
+LIBS = $(LIBNET_PREFIX)/libnet.a
+EXTRA_CFLAGS = -I$(LIBNET_PREFIX)/include
 
 COMMON_MAKEFILE = $(ROOT_PATH)/Makefile.common
Index: uspace/srv/net/nil/eth/eth.c
===================================================================
--- uspace/srv/net/nil/eth/eth.c	(revision a6e54c5db4014406256cc9e1682c3c4771222aef)
+++ uspace/srv/net/nil/eth/eth.c	(revision 04cb68f2d06da3440e206ec4339c4d23afa3910a)
@@ -40,18 +40,18 @@
 #include <mem.h>
 #include <stdio.h>
+#include <byteorder.h>
 #include <str.h>
+#include <err.h>
 
 #include <ipc/ipc.h>
+#include <ipc/net.h>
 #include <ipc/services.h>
 
-#include <net_err.h>
-#include <net_messages.h>
-#include <net_modules.h>
-#include <net_byteorder.h>
+#include <net/modules.h>
 #include <net_checksum.h>
 #include <ethernet_lsap.h>
 #include <ethernet_protocols.h>
 #include <protocol_map.h>
-#include <net_device.h>
+#include <net/device.h>
 #include <netif_interface.h>
 #include <net_interface.h>
@@ -59,5 +59,5 @@
 #include <il_interface.h>
 #include <adt/measured_strings.h>
-#include <packet/packet_client.h>
+#include <packet_client.h>
 #include <packet_remote.h>
 #include <nil_local.h>
@@ -788,6 +788,4 @@
 }
 
-#ifndef CONFIG_NETIF_NIL_BUNDLE
-
 /** Default thread for new connections.
  *
@@ -839,6 +837,4 @@
 }
 
-#endif /* CONFIG_NETIF_NIL_BUNDLE */
-
 /** @}
  */
Index: uspace/srv/net/nil/eth/eth.h
===================================================================
--- uspace/srv/net/nil/eth/eth.h	(revision a6e54c5db4014406256cc9e1682c3c4771222aef)
+++ uspace/srv/net/nil/eth/eth.h	(revision 04cb68f2d06da3440e206ec4339c4d23afa3910a)
@@ -41,5 +41,5 @@
 #include <ipc/services.h>
 
-#include <net_device.h>
+#include <net/device.h>
 #include <adt/measured_strings.h>
 
Index: uspace/srv/net/nil/eth/eth_module.c
===================================================================
--- uspace/srv/net/nil/eth/eth_module.c	(revision a6e54c5db4014406256cc9e1682c3c4771222aef)
+++ uspace/srv/net/nil/eth/eth_module.c	(revision 04cb68f2d06da3440e206ec4339c4d23afa3910a)
@@ -38,12 +38,12 @@
 #include <async.h>
 #include <stdio.h>
+#include <err.h>
 
 #include <ipc/ipc.h>
 #include <ipc/services.h>
 
-#include <net_err.h>
-#include <net_modules.h>
+#include <net/modules.h>
 #include <net_interface.h>
-#include <packet/packet.h>
+#include <net/packet.h>
 #include <nil_local.h>
 
@@ -63,5 +63,5 @@
 	
 	async_set_client_connection(client_connection);
-	int net_phone = net_connect_module(SERVICE_NETWORKING);
+	int net_phone = net_connect_module();
 	ERROR_PROPAGATE(pm_init());
 	
Index: uspace/srv/net/nil/nildummy/Makefile
===================================================================
--- uspace/srv/net/nil/nildummy/Makefile	(revision a6e54c5db4014406256cc9e1682c3c4771222aef)
+++ uspace/srv/net/nil/nildummy/Makefile	(revision 04cb68f2d06da3440e206ec4339c4d23afa3910a)
@@ -30,6 +30,6 @@
 USPACE_PREFIX = ../../../..
 ROOT_PATH = $(USPACE_PREFIX)/..
-LIBS = $(LIBNET_PREFIX)/libnet.a $(LIBSOCKET_PREFIX)/libsocket.a
-EXTRA_CFLAGS = -I$(LIBNET_PREFIX)/include -I$(LIBSOCKET_PREFIX)/include
+LIBS = $(LIBNET_PREFIX)/libnet.a
+EXTRA_CFLAGS = -I$(LIBNET_PREFIX)/include
 
 COMMON_MAKEFILE = $(ROOT_PATH)/Makefile.common
Index: uspace/srv/net/nil/nildummy/nildummy.c
===================================================================
--- uspace/srv/net/nil/nildummy/nildummy.c	(revision a6e54c5db4014406256cc9e1682c3c4771222aef)
+++ uspace/srv/net/nil/nildummy/nildummy.c	(revision 04cb68f2d06da3440e206ec4339c4d23afa3910a)
@@ -41,16 +41,16 @@
 #include <stdio.h>
 #include <str.h>
+#include <err.h>
 #include <ipc/ipc.h>
+#include <ipc/net.h>
 #include <ipc/services.h>
 
-#include <net_err.h>
-#include <net_messages.h>
-#include <net_modules.h>
-#include <net_device.h>
+#include <net/modules.h>
+#include <net/device.h>
 #include <netif_interface.h>
 #include <nil_interface.h>
 #include <il_interface.h>
 #include <adt/measured_strings.h>
-#include <packet/packet.h>
+#include <net/packet.h>
 #include <packet_remote.h>
 #include <nil_local.h>
@@ -410,6 +410,4 @@
 }
 
-#ifndef CONFIG_NETIF_NIL_BUNDLE
-
 /** Default thread for new connections.
  *
@@ -461,6 +459,4 @@
 }
 
-#endif /* CONFIG_NETIF_NIL_BUNDLE */
-
 /** @}
  */
Index: uspace/srv/net/nil/nildummy/nildummy.h
===================================================================
--- uspace/srv/net/nil/nildummy/nildummy.h	(revision a6e54c5db4014406256cc9e1682c3c4771222aef)
+++ uspace/srv/net/nil/nildummy/nildummy.h	(revision 04cb68f2d06da3440e206ec4339c4d23afa3910a)
@@ -41,5 +41,5 @@
 #include <ipc/services.h>
 
-#include <net_device.h>
+#include <net/device.h>
 #include <adt/measured_strings.h>
 
Index: uspace/srv/net/nil/nildummy/nildummy_module.c
===================================================================
--- uspace/srv/net/nil/nildummy/nildummy_module.c	(revision a6e54c5db4014406256cc9e1682c3c4771222aef)
+++ uspace/srv/net/nil/nildummy/nildummy_module.c	(revision 04cb68f2d06da3440e206ec4339c4d23afa3910a)
@@ -38,12 +38,12 @@
 #include <async.h>
 #include <stdio.h>
+#include <err.h>
 
 #include <ipc/ipc.h>
 #include <ipc/services.h>
 
-#include <net_err.h>
-#include <net_modules.h>
+#include <net/modules.h>
 #include <net_interface.h>
-#include <packet/packet.h>
+#include <net/packet.h>
 #include <nil_local.h>
 
@@ -71,5 +71,5 @@
 	
 	async_set_client_connection(client_connection);
-	int net_phone = net_connect_module(SERVICE_NETWORKING);
+	int net_phone = net_connect_module();
 	ERROR_PROPAGATE(pm_init());
 	
Index: uspace/srv/net/tl/icmp/Makefile
===================================================================
--- uspace/srv/net/tl/icmp/Makefile	(revision a6e54c5db4014406256cc9e1682c3c4771222aef)
+++ uspace/srv/net/tl/icmp/Makefile	(revision 04cb68f2d06da3440e206ec4339c4d23afa3910a)
@@ -29,6 +29,6 @@
 
 USPACE_PREFIX = ../../../..
-LIBS = $(LIBNET_PREFIX)/libnet.a $(LIBSOCKET_PREFIX)/libsocket.a
-EXTRA_CFLAGS = -I$(LIBNET_PREFIX)/include -I$(LIBSOCKET_PREFIX)/include
+LIBS = $(LIBNET_PREFIX)/libnet.a
+EXTRA_CFLAGS = -I$(LIBNET_PREFIX)/include
 BINARY = icmp
 
Index: uspace/srv/net/tl/icmp/icmp.c
===================================================================
--- uspace/srv/net/tl/icmp/icmp.c	(revision a6e54c5db4014406256cc9e1682c3c4771222aef)
+++ uspace/srv/net/tl/icmp/icmp.c	(revision 04cb68f2d06da3440e206ec4339c4d23afa3910a)
@@ -44,31 +44,32 @@
 #include <ipc/ipc.h>
 #include <ipc/services.h>
+#include <ipc/net.h>
+#include <ipc/tl.h>
+#include <ipc/icmp.h>
 #include <sys/time.h>
 #include <sys/types.h>
-
-#include <net_err.h>
-#include <net_messages.h>
-#include <net_modules.h>
-#include <packet/packet_client.h>
+#include <byteorder.h>
+#include <errno.h>
+#include <err.h>
+
+#include <net/socket_codes.h>
+#include <net/ip_protocols.h>
+#include <net/inet.h>
+
+#include <net/modules.h>
+#include <packet_client.h>
 #include <packet_remote.h>
-#include <net_byteorder.h>
 #include <net_checksum.h>
-#include <icmp_api.h>
+#include <net/icmp_api.h>
 #include <icmp_client.h>
-#include <icmp_codes.h>
-#include <icmp_common.h>
+#include <net/icmp_codes.h>
+#include <net/icmp_common.h>
 #include <icmp_interface.h>
 #include <il_interface.h>
-#include <inet.h>
 #include <ip_client.h>
 #include <ip_interface.h>
-#include <ip_protocols.h>
 #include <net_interface.h>
-#include <socket_codes.h>
-#include <socket_errno.h>
-#include <tl_messages.h>
 #include <tl_interface.h>
 #include <tl_local.h>
-#include <icmp_messages.h>
 #include <icmp_header.h>
 
@@ -98,5 +99,5 @@
 /** Free identifier numbers pool end.
  */
-#define ICMP_FREE_IDS_END	MAX_UINT16
+#define ICMP_FREE_IDS_END	UINT16_MAX
 
 /** Computes the ICMP datagram checksum.
@@ -263,5 +264,5 @@
 	}else{
 		res = icmp_echo(echo_data->identifier, echo_data->sequence_number, size, timeout, ttl, tos, dont_fragment, addr, addrlen);
-		if(echo_data->sequence_number < MAX_UINT16){
+		if(echo_data->sequence_number < UINT16_MAX){
 			++ echo_data->sequence_number;
 		}else{
@@ -448,28 +449,4 @@
 }
 
-int icmp_connect_module(services_t service, suseconds_t timeout){
-	icmp_echo_ref echo_data;
-	icmp_param_t id;
-	int index;
-
-	echo_data = (icmp_echo_ref) malloc(sizeof(*echo_data));
-	if(! echo_data){
-		return ENOMEM;
-	}
-	// assign a new identifier
-	fibril_rwlock_write_lock(&icmp_globals.lock);
-	index = icmp_bind_free_id(echo_data);
-	if(index < 0){
-		free(echo_data);
-		fibril_rwlock_write_unlock(&icmp_globals.lock);
-		return index;
-	}else{
-		id = echo_data->identifier;
-		fibril_rwlock_write_unlock(&icmp_globals.lock);
-		// return the echo data identifier as the ICMP phone
-		return id;
-	}
-}
-
 int icmp_initialize(async_client_conn_t client_connection){
 	ERROR_DECLARE;
@@ -484,5 +461,5 @@
 	icmp_replies_initialize(&icmp_globals.replies);
 	icmp_echo_data_initialize(&icmp_globals.echo_data);
-	icmp_globals.ip_phone = ip_bind_service(SERVICE_IP, IPPROTO_ICMP, SERVICE_ICMP, client_connection, icmp_received_msg);
+	icmp_globals.ip_phone = ip_bind_service(SERVICE_IP, IPPROTO_ICMP, SERVICE_ICMP, client_connection);
 	if(icmp_globals.ip_phone < 0){
 		return icmp_globals.ip_phone;
@@ -731,5 +708,5 @@
 							fibril_rwlock_write_unlock(&icmp_globals.lock);
 							free(addr);
-							if(echo_data->sequence_number < MAX_UINT16){
+							if(echo_data->sequence_number < UINT16_MAX){
 								++ echo_data->sequence_number;
 							}else{
Index: uspace/srv/net/tl/icmp/icmp.h
===================================================================
--- uspace/srv/net/tl/icmp/icmp.h	(revision a6e54c5db4014406256cc9e1682c3c4771222aef)
+++ uspace/srv/net/tl/icmp/icmp.h	(revision 04cb68f2d06da3440e206ec4339c4d23afa3910a)
@@ -40,5 +40,5 @@
 #include <fibril_synch.h>
 
-#include <icmp_codes.h>
+#include <net/icmp_codes.h>
 #include <adt/int_map.h>
 #include <icmp_header.h>
@@ -67,5 +67,4 @@
 
 /** Echo specific data map.
- *  The bundle module gets an identifier of the assigned echo specific data while connecting.
  *  The identifier is used in the future semi-remote calls instead of the ICMP phone.
  */
Index: uspace/srv/net/tl/icmp/icmp_module.c
===================================================================
--- uspace/srv/net/tl/icmp/icmp_module.c	(revision a6e54c5db4014406256cc9e1682c3c4771222aef)
+++ uspace/srv/net/tl/icmp/icmp_module.c	(revision 04cb68f2d06da3440e206ec4339c4d23afa3910a)
@@ -40,10 +40,10 @@
 #include <async.h>
 #include <stdio.h>
+#include <err.h>
 #include <ipc/ipc.h>
 #include <ipc/services.h>
 
-#include <net_err.h>
-#include <net_modules.h>
-#include <packet/packet.h>
+#include <net/modules.h>
+#include <net/packet.h>
 #include <net_interface.h>
 #include <tl_local.h>
@@ -69,5 +69,5 @@
 
 	async_set_client_connection(client_connection);
-	icmp_globals.net_phone = net_connect_module(SERVICE_NETWORKING);
+	icmp_globals.net_phone = net_connect_module();
 	if(icmp_globals.net_phone < 0){
 		return icmp_globals.net_phone;
Index: uspace/srv/net/tl/tcp/Makefile
===================================================================
--- uspace/srv/net/tl/tcp/Makefile	(revision a6e54c5db4014406256cc9e1682c3c4771222aef)
+++ uspace/srv/net/tl/tcp/Makefile	(revision 04cb68f2d06da3440e206ec4339c4d23afa3910a)
@@ -29,6 +29,6 @@
 
 USPACE_PREFIX = ../../../..
-LIBS = $(LIBNET_PREFIX)/libnet.a $(LIBSOCKET_PREFIX)/libsocket.a
-EXTRA_CFLAGS = -I$(LIBNET_PREFIX)/include -I$(LIBSOCKET_PREFIX)/include
+LIBS = $(LIBNET_PREFIX)/libnet.a
+EXTRA_CFLAGS = -I$(LIBNET_PREFIX)/include
 BINARY = tcp
 
